MysqlndUhConnection::getFieldCount
MysqlndUhConnection::getLastInsertId
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::getHostInformation

(PECL mysqlnd-uh >= 1.0.0-alpha)

MysqlndUhConnection::getHostInformation — Returns a string representing the type of connection used

### Description

public string MysqlndUhConnection::getHostInformation ( mysqlnd_connection `$connection` )

Returns a string representing the type of connection used.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

Connection description.

### Examples

Example #1 MysqlndUhConnection::getHostInformation() example

`<?php
class proxy extends MysqlndUhConnection {
public function getHostInformation($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::getHostInformation($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
var_dump($mysqli->host_info);
?>`

The above example will output:

    proxy::getHostInformation(array (
      0 => NULL,
    ))
    proxy::getHostInformation returns 'Localhost via UNIX socket'
    string(25) "Localhost via UNIX socket"

### See Also

- mysqlnd_uh_set_connection_proxy() - Installs a proxy for mysqlnd connections
- mysqli_get_host_info() - Returns a string representing the type of connection used
- mysql_get_host_info() - Get MySQL host info

MysqlndUhConnection::getFieldCount
MysqlndUhConnection::getLastInsertId
MysqlndUhConnection
PHP Manual